Properties Methods Events Direct Link

# Class Ext.air.Sound

Package: | Ext.air
Defined In: | Sound.js
Class: | Sound
Extends: | Object

This class is a singleton and cannot be created directly.

## Public Properties

This class has no public properties.

## Public Methods

Method | Defined By
--- | ---

play( `String file`, [`Number startAt`] ) : void
Play a sound.
Play a sound.
Parameters:

- `file` : String
  The file to be played. The path is resolved against applicationDirectory
- `startAt` : Number
  (optional) A time in the sound file to skip to before playing

Returns:

- `void`

Sound

## Public Events

This class has no public events.